#ifndef AVIFILE_REGACCESS_H
#define AVIFILE_REGACCESS_H

#if 0
#include <aviplay.h>
#include <string>

class RegAccess
{ 
friend class IAviPlayer;
protected:

public:

    static int ReadAviPlayer(IAviPlayer::Property, std::string& res);
    static int ReadAviPlayer(IAviPlayer::Property, void* res = 0);
    static int WriteAviPlayer(IAviPlayer::Property, std::string val);
    static int WriteAviPlayer(IAviPlayer::Property, int val);
};
#endif
#endif // AVIFILE_REGACCESS_H
